<?php

namespace TC\PaygateDigiseller;

use XF\AddOn\AbstractSetup;

class Setup extends AbstractSetup
{
	public function install(array $stepParams = [])
	{
		$db = $this->db();

		$db->insert('xf_payment_provider', [
			'provider_id'    => "digiseller",
			'provider_class' => "TC\\PaygateDigiseller:Digiseller",
			'addon_id'       => "TC/PaygateDigiseller"
		]);
	}

	public function upgrade(array $stepParams = [])
	{
		$this->uninstall();
		$this->install();
	}

	public function uninstall(array $stepParams = [])
	{
		$this->db()->delete('xf_payment_provider', "provider_id = 'digiseller'");
	}
}