<?php

namespace TC\PaygateDigiseller\XF\Pub\Controller;

use XF\Mvc\ParameterBag;

class Purchase extends XFCP_Purchase
{
	/**
	 * @var array
	 */
	protected $tcDigisellerAllowedHosts = [
		'oplata.info',
		'www.oplata.info'
	];

	/**
	 * @param              $action
	 * @param ParameterBag $params
	 */
	public function checkCsrfIfNeeded($action, ParameterBag $params)
	{
		if (strtolower($action) == "process" && in_array(parse_url($this->request->getReferrer(), PHP_URL_HOST), $this->tcDigisellerAllowedHosts))
		{
			return;
		}

		parent::checkCsrfIfNeeded($action, $params);
	}
}
