<?php

namespace TC\PaygateFreeKassa;

use XF\AddOn\AbstractSetup;

class Setup extends AbstractSetup
{
	public function install(array $stepParams = [])
	{
		$entity = \XF::em()->create('XF:PaymentProvider');
		$entity->bulkSet(
			[
				'provider_id'    => "freekassa",
				'provider_class' => "TC\\PaygateFreeKassa\\XF\\Payment\\FreeKassa",
				'addon_id'       => "TC/PaygateFreeKassa"
			]
		);
		$entity->save();
	}

	public function upgrade(array $stepParams = [])
	{
		$this->uninstall();
		$this->install();
	}

	public function uninstall(array $stepParams = [])
	{
		$entity = \XF::em()->find('XF:PaymentProvider', 'freekassa');
		if(!empty($entity))
		{
			$entity->delete();
		}
	}
}