<?php

namespace TC\RequireUserField\Option;

use XF;
use XF\Entity\Option;
use XF\Entity\UserField;
use XF\Option\AbstractOption;

class RequiredFields extends AbstractOption
{
	public static function renderOption(Option $option, array $htmlParams): string
	{
		/** @var UserField $fields */
		$fields = XF::finder('XF:UserField')->where('required', true)->fetch();

		return self::getTemplate('admin:tc_ruf_option_template_requiredFields', $option, $htmlParams, [
			'fields' => $fields
		]);
	}
}
